Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005LineFinder_DeterministicApproach::LineFragment Struct Reference

Collaboration diagram for GT2005LineFinder_DeterministicApproach::LineFragment:

[legend]
List of all members.

## Public Attributes
Vector2< int > | base
Vector2< double > | normal
bool | lineFragmentAlreadyConsidered
Vector2< int > | start
Vector2< int > | end
double | averageStep
int | numberOfPoints

## Member Data Documentation

Vector2<int> GT2005LineFinder_DeterministicApproach::LineFragment::base

| Definition at line 280 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::calculateLineOnField(), GT2005LineFinder_DeterministicApproach::findIntersections(), GT2005LineFinder_DeterministicApproach::findLineFragments(), GT2005LineFinder_DeterministicApproach::findLines(), and GT2005LineFinder_DeterministicApproach::getLine().

Vector2<double> GT2005LineFinder_DeterministicApproach::LineFragment::normal

| Definition at line 281 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::addCrossingsPercept(), GT2005LineFinder_DeterministicApproach::calculateLineOnField(), GT2005LineFinder_DeterministicApproach::findIntersections(), GT2005LineFinder_DeterministicApproach::findLineFragments(), GT2005LineFinder_DeterministicApproach::findLines(), and GT2005LineFinder_DeterministicApproach::getLine().

bool GT2005LineFinder_DeterministicApproach::LineFragment::lineFragmentAlreadyConsidered

| Definition at line 282 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::findLineFragments(), GT2005LineFinder_DeterministicApproach::findLines(), and GT2005LineFinder_DeterministicApproach::handleCenterCircle().

Vector2<int> GT2005LineFinder_DeterministicApproach::LineFragment::start

| Definition at line 283 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::findLineFragments(), GT2005LineFinder_DeterministicApproach::findLines(), and GT2005LineFinder_DeterministicApproach::handleCenterCircle().

Vector2<int> GT2005LineFinder_DeterministicApproach::LineFragment::end

| Definition at line 284 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::findLineFragments(), GT2005LineFinder_DeterministicApproach::findLines(), and GT2005LineFinder_DeterministicApproach::handleCenterCircle().

double GT2005LineFinder_DeterministicApproach::LineFragment::averageStep

| Definition at line 285 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::findLineFragments(), and GT2005LineFinder_DeterministicApproach::findLines().

int GT2005LineFinder_DeterministicApproach::LineFragment::numberOfPoints

| Definition at line 286 of file GT2005LineFinder_DeterministicApproach.h. Referenced by GT2005LineFinder_DeterministicApproach::handleCenterCircle().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005LineFinder_DeterministicApproach.h